<?php
//Exportar datos de php a Excel
header("Content-Type: application/vnd.ms-excel" );
header("Expires: 0" );
header("Cache-Control: must-revalidate, post-check=0, pre-check=0" );
header("content-disposition: attachment;filename=Reportes.xls" );
?>
<? 
require_once('../../../conf/connection.php');

$nivel = $_GET["nivel"];
$nombreuser =$_GET["nombreuser"];
$estado=$_GET["estado"];

$rut=$_GET["rut"];

$desde_ft =$_GET["desde"];
$desde=date('Y-m-d',strtotime($desde_ft));

$hasta_ft =$_GET["hasta"];
$hasta=date('Y-m-d',strtotime($hasta_ft));

$saldo="SELECT SUM(total) AS saldo FROM  ventas WHERE rut_clientes='$rut' and  fecha BETWEEN '$desde' AND '$hasta'";
$rs_query=mysql_query($saldo);
$suma=mysql_result($rs_query,0,"saldo");
 ?>
<html>
	<head>
<script language="javascript">
function imprimir() {
	window.print();

	
}
</script>
	</head>

	<body>	
    <table width="789" border=0 cellpadding=3 cellspacing=0 class="fuente8">					
					  <tr>
						  <td width="650" align="center" >LISTADO DE VENTAS X PRODUCTO</td>
						  
					  </tr>
					  <tr>
					    <td align="center" > RUT CLIENTE: <? echo $rut ?></td>
      </tr>
					  
					  
					  
					  <tr>
					    <td align="center" >DESDE: <? echo $desde_ft?> --  HASTA: <? echo $hasta_ft?></td>
      </tr>
					  
					  
                      </table>
    <? 
        $buscar="select *, sum(detalles_pedido.valor_total) as total_producto, COUNT(detalles_pedido.idplatos) as total_cantidad 
		 from pedido  inner join  detalles_pedido on pedido.idpedido=detalles_pedido.numero
		 where pedido.fecha BETWEEN '$desde' AND '$hasta'
		 Group By detalles_pedido.idplatos ";
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
    <table  width="429" border="0">
      <tr bgcolor="#69BFE0" >
        <td width="200">PRODUCTO</td>
        <td width="88">CANTIDAD</td>
        <td width="127">TOTAL</td>
      </tr>
      <?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
      <tr>
        <td><? $idplatos=$row["idplatos"];
					        $query_mesa="SELECT * FROM platos  WHERE idplatos='$idplatos'";
							$rs_query_mesa=mysql_query($query_mesa);
							$descrip_plato=mysql_result($rs_query_mesa,0,"descrip_plato"); 
							
							echo $descrip_plato;?></td>
        <td><? echo $row["total_cantidad"];
					   ?></td>
        <td><? echo $row["total_producto"];
					   ?></td>
      </tr>
      <? }?>
    </table>
    <br>
    <? } 
			else
			{
				echo "No hubieron coincidencias!";
     
			}
			 ?>
<tr><td></body>
</html>
